Subject: [linux-sunxi] Re: [PATCH v4 1/2] ehci-platform: Add support for controllers with multiple reset lines

From: [email-masked] (Greg Kroah-Hartman)
Date: Sat, 5 Mar 2016 12:02:50 -0800

On Fri, Mar 04, 2016 at 08:27:26AM +0100, Hans de Goede wrote:
> Hi,
> 
> On 04-03-16 05:35, Greg Kroah-Hartman wrote:
> >On Sat, Feb 27, 2016 at 05:58:58PM +0100, Hans de Goede wrote:
> >>From: Reinder de Haan <[email-masked]>
> >>
> >>At least the EHCI/OHCI found on the Allwinnner H3 SoC needs multiple
> >>reset lines, the controller will not initialize while the reset for
> >>its companion is still asserted, which means we need to de-assert
> >>2 resets for the controller to work.
> >>
> >>Signed-off-by: Reinder de Haan <[email-masked]>
> >>Signed-off-by: Hans de Goede <[email-masked]>
> >>Acked-by: Alan Stern <[email-masked]>
> >>Acked-by: Rob Herring <[email-masked]>
> >>---
> >>Changes in v2:
> >>-Use the new reset_control_[de]assert_shared reset-controller functions
> >>Changes in v3:
> >>-Adjust for changes to shared-reset reset-controller functions
> >>Changes in v4:
> >>-Fix Ugly continuation line
> >
> >This breaks the build horribly :(
> >
> >As does patch 2/2, ugh.
> 
> As said in the cover letter:
> 
> "These patches apply on top of the related
> reset-controller patches which have just been merged here:
> 
> git://git.pengutronix.de/git/pza/linux.git reset/next"
> 
> I guess I should have done s/apply on top of/depend on/
> in the above bit. These patches apply fine without those
> changes, but indeed they will not build.

Then I can't take them, you know this :(

> You may want to ask Philipp Zabel (added to the To: list)
> to create a topic branch for this which you can merge into
> your tree.

If you all want me to do that, fine, otherwise just resend them after
4.6-rc1 is out and the build will not break at that time.

thanks,

greg k-h